@charset "utf-8";
/* CSS Document */


/* =======================================
	スタートエフェクト
======================================= */
@keyframes overlay-image-right {
    from {
        width: 100%;
    }
    to {
        width: 0%;
    }
}
@keyframes overlay-image-down {
    from {
        height: 100%;
    }
    to {
        height: 0%;
    }
}
@keyframes overlay-image-fade {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
.overlay-image {
	z-index: 9999;
}
.overlay-image-right,
.overlay-image-down {
    position: fixed;
	z-index: 999;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    animation-duration: 950ms;
    animation-timing-function: linear;
    animation-fill-mode: both;
    background: #ffffff;
}
.overlay-image-right {
    right: 0;
    top: 0;
    animation-name: overlay-image-right;
}
.overlay-image-down {
    left: 0;
    bottom: 0;
    animation-name: overlay-image-down;
}
.overlay-image-inner {
    position: absolute;
    width: 100vw;
    height: 100vh;
    z-index: 100;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    animation-duration: 1200ms, 1000ms;
    animation-timing-function: linear, linear;
    animation-fill-mode: backwards, forwards;
    animation-name: overlay-image-fade, overlay-image-fade;
    animation-direction: normal, reverse;
    animation-delay: 0ms, 1500ms;
}
.overlay-image-right .overlay-image-inner {
    right: 0;
    top: 0;
}
.overlay-image-down .overlay-image-inner {
    left: 0;
    bottom: 0;
}



/* =======================================
	メインヴィジュアル　エフェクト
======================================= */

/* =============================
   スマホだけ画像を大きく表示
============================= */

@media (max-width: 767px){
  .overlay-image-inner{
    background-size: 200%;
  }
}


